<app-nav-menu></app-nav-menu>

<ng-container *ngIf="formation!=undefined">
  <h2> {{formation.intitule}} </h2>
  <ng-container>
    <h3>Informations générales</h3>
    <button mat-raised-button *ngIf="formation.statut!=statutEnum.Realise" [routerLink]="['edit']">Modifier</button>
    <p>Etat : {{formation.statut}}</p>
    <p>{{dateTexte}} {{formation.dateDebut | date:'dd/MM/yyyy à hh:mm'}}</p>
    <p>Origine : {{formation.origine}}</p>
    <p>Organisme : {{ formation.organisme}}</p>
    <p>Mode formation : {{ formation.mode}}</p>
    <p>Type formation : {{ formation.type}}</p>
  </ng-container>

  <ng-container *ngIf="formation.participantsFormation == undefined || formation.participantsFormation.length==0">
    <h3>Aucun participant</h3>
  </ng-container>

  <ng-container *ngIf="formation.participantsFormation != undefined && formation.participantsFormation.length > 0">
    <h3>Liste des participants</h3>
    <mat-table [dataSource]="dataSource">

      <ng-container matColumnDef="agence">
        <mat-header-cell *matHeaderCellDef>Agence</mat-header-cell>
        <mat-cell *matCellDef="let row">{{row.agence}}</mat-cell>
      </ng-container>

      <ng-container matColumnDef="collaborateur">
        <mat-header-cell *matHeaderCellDef>Collaborateur</mat-header-cell>
        <mat-cell *matCellDef="let row" [routerLink]="['/collaborateurs', row.idCollaborateur]">{{row.collaborateur}}</mat-cell>
      </ng-container>

      <ng-container matColumnDef="dateinscription">
        <mat-header-cell *matHeaderCellDef>Inscrit le</mat-header-cell>
        <mat-cell *matCellDef="let row">{{row.dateCreation | date :'dd/MM/yy à HH:mm'}}</mat-cell>
      </ng-container>

      <ng-container matColumnDef="ep">
        <mat-header-cell *matHeaderCellDef>EP</mat-header-cell>
        <mat-cell *matCellDef="let row">
          <p *ngIf="row.statutEP>=5" [routerLink]="['/ep',row.idEP]">Voir EP</p>
          <p *ngIf="row.statutEP>=2 && row.statutEP<5" [routerLink]="['/ep',row.idEP]">EP en cours</p>
          <p *ngIf="row.statutEP<=1">Attente prochain EP</p>
        </mat-cell>
      </ng-container>

      <ng-container matColumnDef="evaluation">
        <mat-header-cell *matHeaderCellDef>Evaluations</mat-header-cell>
        <mat-cell *matCellDef="let row">
          <p *ngIf="row.estEvaluee" [routerLink]="['/collaborateurs',row.idCollaborateur,'formations','evaluation',row.id]">Voir évaluation</p>
          <p *ngIf="!row.estEvaluee">Attente évaluation</p>
        </mat-cell>
      </ng-container>

      <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
      <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
    </mat-table>

  </ng-container>
</ng-container>
<mat-spinner *ngIf="formation==undefined"></mat-spinner>
